wrong font path

Bug #1362099 reported by alepac on 2014-08-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openjdk-6 (Ubuntu)
Medium
Unassigned
openjdk-7 (Ubuntu)
Medium
Unassigned

Bug Description

In the file /etc/java-7-openjdk/fontconfig.properties there are references to DejaVu fonts wrongly located in the /usr/share/fonts/truetype/ttf-dejavu directory (the corect path dould be /usr/share/fonts/truetype/dejavu).

This issue affect java GUI apps using LookAndFeel like Metal or Motif (not GTK L&F).

To temporary solve this issue you need to install the legacy ttf-dejavu & ttf-dejavu-extra packages that provide symlink from the old path to the new one.

Steve Langasek (vorlon) on 2014-09-02
Changed in openjdk-6 (Ubuntu):
importance: Undecided → Medium
Changed in openjdk-7 (Ubuntu):
importance: Undecided → Medium
billhuey (bill-huey) wrote :

from /etc/java-7-openjdk/fontconfig.properties:

filename.DejaVu_Sans=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
filename.DejaVu_Sans_Bold=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf
filename.DejaVu_Sans_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Oblique.ttf
filename.DejaVu_Sans_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-BoldOblique.ttf

filename.DejaVu_Sans_Mono=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
filename.DejaVu_Sans_Mono_Bold=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Bold.ttf
filename.DejaVu_Sans_Mono_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Oblique.ttf
filename.DejaVu_Sans_Mono_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-BoldOblique.ttf

filename.DejaVu_Serif=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf
filename.DejaVu_Serif_Bold=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Bold.ttf
filename.DejaVu_Serif_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Oblique.ttf
filename.DejaVu_Serif_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-BoldOblique.ttf

billhuey (bill-huey) wrote :

In /usr/share/fonts/truetype/ttf-dejavu/

DejaVuSans-BoldOblique.ttf
DejaVuSans-Bold.ttf
DejaVuSansCondensed-BoldOblique.ttf
DejaVuSansCondensed-Bold.ttf
DejaVuSansCondensed-Oblique.ttf
DejaVuSansCondensed.ttf
DejaVuSans-ExtraLight.ttf
DejaVuSansMono-BoldOblique.ttf
DejaVuSansMono-Bold.ttf
DejaVuSansMono-Oblique.ttf
DejaVuSansMono.ttf
DejaVuSans-Oblique.ttf
DejaVuSans.ttf
DejaVuSerif-BoldItalic.ttf
DejaVuSerif-Bold.ttf
DejaVuSerifCondensed-BoldItalic.ttf
DejaVuSerifCondensed-Bold.ttf
DejaVuSerifCondensed-Italic.ttf
DejaVuSerifCondensed.ttf
DejaVuSerif-Italic.ttf
DejaVuSerif.ttf

billhuey (bill-huey) wrote :

filename.DejaVu_Serif_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Oblique.ttf
filename.DejaVu_Serif_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-BoldOblique.ttf

Doesn't seem to exist in /usr/share/fonts/truetype/ttf-dejavu/ but all of the other fonts point in the correct places.

billhuey (bill-huey) wrote :

This white space damaged patch should fix the problem but installing the meta-package instead

=== modified file 'rules'
--- rules 2014-10-21 15:44:03 +0000
+++ rules 2014-10-22 13:54:12 +0000
@@ -894,11 +894,11 @@
   endif
 endif

-ifneq (,$(filter $(distrel),etch))
+ifneq (,$(filter $(distrel),etch precise))
   core_fonts = ttf-dejavu
 else ifneq (,$(filter $(distrel),lenny hardy intrepid jaunty karmic))
   core_fonts = ttf-dejavu-core
-else ifneq (,$(filter $(distrel),squeeze wheezy lucid maverick natty oneiric precise quantal raring))
+else ifneq (,$(filter $(distrel),squeeze wheezy lucid maverick natty oneiric quantal raring))
   core_fonts = ttf-dejavu-extra
 else
   core_fonts = fonts-dejavu-extra

billhuey (bill-huey) wrote :
billhuey (bill-huey) wrote :

New patch adds the ttf-dejavu compatibility package to openjdk-7-jre Recommends: to trusty and utopic as well

Matthias Klose (doko) wrote :

trusty and utopic should use the new fonts-dejavu name.

ttf-dejavu-extra depends on ttf-dejavu-core, and should be equivalent to ttf-dejavu.

not sure why the changes here are needed.

looking into trusty, I see that the font files are in /usr/share/fonts/truetype/dejavu/, not in /usr/share/fonts/truetype/ttf-dejavu/, while they are in /usr/share/fonts/truetype/ttf-dejavu/ in precise.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-7 - 7u71-2.5.3-2ubuntu1

---------------
openjdk-7 (7u71-2.5.3-2ubuntu1) vivid; urgency=medium

  * Regenerate the control file.

openjdk-7 (7u71-2.5.3-2) unstable; urgency=medium

  * Regenerate the .orig.tar to omit a third hotspot tarball.
  * Really fix the libjpeg runtime dependency for sid and jessie.
    Closes: #766601.
  * Fix regression running JamVM after the 2.5.3 security update.
    Closes: #767771. LP: #1382205.
  * Fix regression running CACAO after the 2.5.3 security update.
  * Backport S8000897, VM crash in CompileBroker. Closes: #768747.
  * Fix building icedtea-sound on x32 (patch dropped in 7u71-2.5.3-1).
    Closes: #766610.
  * Don't use the compatibility path names from the ttf-dejavu packages
    for recent releases. LP: #1362099.
 -- Matthias Klose <email address hidden> Thu, 13 Nov 2014 15:06:05 +0100

Changed in openjdk-7 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers